Skip to main content
GET
/
components
/
instances
/
links
Get Component Instance Links
curl --request GET \
  --url https://api.serial.io/components/instances/links \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.serial.io/components/instances/links"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.serial.io/components/instances/links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "has_child_of_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "process_entry_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "unique_identifier_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "is_active": true,
    "dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "removed_at": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

API Key or Token formatted as Bearer <YOUR_KEY_OR_TOKEN>

Query Parameters

parent_component_instance_id
string

Component Instance Id for the parent component instance

child_component_instance_id
string

Component Instance Id for the child component instance

process_entry_id
string

Id for related process_entry

dataset_id
string

Id for related dataset

Response

OK

id
string<uuid>
required

Database id for the link

has_child_of_id
string<uuid>
required

Child component instance's id

process_entry_id
string<uuid>
required

If for the process entry where the link was created.

unique_identifier_id
string<uuid>

Parent component instance's id

is_active
boolean

If true, the link is active. If false, the link has been broken.

dataset_id
string<uuid>

Dataset that associates this link.

created_at
string<date-time>

Timestamp when the link was created

removed_at
string<date-time>

Timestamp when the link was deactivated.